<template>
  <div class="drop-shade">
    <div v-if="!error && !result">Verifying email address</div>
    <div v-else-if="result">
      <div v-if="result.verifyEmail.success">Success!</div>
      <div v-else>Not success :( Invalid token? Try again?</div>
    </div>
    <div v-else-if="error">
      {{ error }}
    </div>
    <div v-else>Unknown state...</div>
  </div>
</template>
<script>
export default {
  data() {
    return { error: null, result: null };
  },
  async mounted() {
    if (
      !this.$route.query.id ||
      isNaN(Number(this.$route.query.id) || !this.$route.query.token)
    ) {
      return (this.error = "invalid verification link");
    }

    const { error, result } = await this.$gql(
      `
    mutation($id:Int! $token:String!) {
  verifyEmail(input: {
    userEmailId: $id
    token: $token
  }) {
    success
  }
}
    `,
      { id: Number(this.$route.query.id), token: this.$route.query.token }
    );

    this.error = error;
    this.result = result;
  },
};
</script>
